<div class="dateClass" ng-click="dateMouthShow()" ng-if="dateDiv" ng-init="initDate()">
    <div style="" class="dateDivClass"  ng-blur="dateBlur()" >
        <div class="dateYearRow">
            <div class="datePic" ng-click="goLeft()"><i class="ion-arrow-left-b "></i></div>
            <div class="dateYear">
                <table style="width: 100%;">
                    <tr>
                        <th class="thDate"  ng-mouseover="mouseover(i)" ng-mouseleave="mouseleave(i)"
                            ng-class="{backgroudDate2 : i.selected,backgroudDate1 : i.mouseoverClass,'' : i.mouseleaveClass,fontNumClass : i.currentDate}" ng-repeat="i in yearData" ng-click="selectDateYear(i)">{{i.num}}</th>
                    </tr>
                </table>
            </div>
            <div class="datePicRight" ng-click="goRight()"><i class="ion-arrow-right-b "></i></div>
        </div>
        <table style="width: 100%;">
            <tr ng-repeat="item in dataMouth">
                {{item[0]}}
                <th class="thDate" ng-click="selectDateMouth(i)" ng-mouseover="mouseover(i)" ng-mouseleave="mouseleave(i)"
                    ng-class="{backgroudDate2 : i.selected,backgroudDate1 : i.mouseoverClass,'' : i.mouseleaveClass,fontNumClass:i.currentDate}" ng-repeat="i in item">{{i.name}}</th>
            </tr>
        </table>
    </div>
</div>

